### Method

# GtkSource Buffer iter_has_context_class

#### Declaration [src]

    gboolean
    gtk_source_buffer_iter_has_context_class (
      GtkSourceBuffer* buffer,
      const GtkTextIter* iter,
      const gchar* context_class
    )

#### Description [src]

Check if the class `context_class` is set on `iter`.

See the `GtkSourceBuffer` description for the list of default context classes.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the method.

`context_class`

  Type: `const gchar*`

  Class to search for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether `iter` has the context class.